<?php
declare(strict_types=1);

namespace AppBundle\Entity\Billing;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * Classe ... qui ...
 */
#[ORM\Entity]
class SddTeneur
{
    /**
     * @var int
     */
    #[ORM\Column(type: 'integer')]
    #[ORM\Id]
    #[ORM\GeneratedValue(strategy: 'AUTO')]
    #[Groups(['sddteneur_reference'])]
    private $id;
    /**
     * @var string
     */
    #[ORM\Column(type: 'string', nullable: true)]
    #[Assert\Type(type: 'string')]
    #[Groups(['sddteneur_reference'])]
    private $codique;
    /**
     * @var string
     */
    #[ORM\Column(type: 'string', nullable: true)]
    #[Assert\Type(type: 'string')]
    #[Groups(['sddteneur_reference'])]
    private $libelle;
    /**
     * @var string
     */
    #[ORM\Column(type: 'string', nullable: true)]
    #[Assert\Type(type: 'string')]
    #[Groups(['sddteneur_reference'])]
    private $iban;
    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * @return string
     */
    public function getCodique()
    {
        return $this->codique;
    }
    /**
     * @return string
     */
    public function getLibelle()
    {
        return $this->libelle;
    }
    /**
     * @return string
     */
    public function getIban()
    {
        return $this->iban;
    }
}